<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: BLEBeacon Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classBLEBeacon-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BLEBeacon Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Representation of a beacon. See:  
 <a href="classBLEBeacon.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="BLEBeacon_8h_source.html">BLEBeacon.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a432029f4255f9d1d2788da7a7ba0b3aa"><td class="memItemLeft" align="right" valign="top"><a id="a432029f4255f9d1d2788da7a7ba0b3aa"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getData</b> ()</td></tr>
<tr class="separator:a432029f4255f9d1d2788da7a7ba0b3aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9c306880f7207fff319e9c2a9990ca8"><td class="memItemLeft" align="right" valign="top"><a id="ac9c306880f7207fff319e9c2a9990ca8"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>getMajor</b> ()</td></tr>
<tr class="separator:ac9c306880f7207fff319e9c2a9990ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ff0ae212d51d6edd642c22e4ba679d7"><td class="memItemLeft" align="right" valign="top"><a id="a5ff0ae212d51d6edd642c22e4ba679d7"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>getMinor</b> ()</td></tr>
<tr class="separator:a5ff0ae212d51d6edd642c22e4ba679d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02292b7d0523a427368cfe5572b4a124"><td class="memItemLeft" align="right" valign="top"><a id="a02292b7d0523a427368cfe5572b4a124"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>getManufacturerId</b> ()</td></tr>
<tr class="separator:a02292b7d0523a427368cfe5572b4a124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac84790151ad7c1a12c1337b69ae2dd89"><td class="memItemLeft" align="right" valign="top"><a id="ac84790151ad7c1a12c1337b69ae2dd89"></a>
BLEUUID&#160;</td><td class="memItemRight" valign="bottom"><b>getProximityUUID</b> ()</td></tr>
<tr class="separator:ac84790151ad7c1a12c1337b69ae2dd89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39116559ee51c1da1415010ee67524eb"><td class="memItemLeft" align="right" valign="top"><a id="a39116559ee51c1da1415010ee67524eb"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><b>getSignalPower</b> ()</td></tr>
<tr class="separator:a39116559ee51c1da1415010ee67524eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aac04f602e38f66aa62a13e570b05ef"><td class="memItemLeft" align="right" valign="top"><a id="a4aac04f602e38f66aa62a13e570b05ef"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setData</b> (std::string data)</td></tr>
<tr class="separator:a4aac04f602e38f66aa62a13e570b05ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3183011c76f0226ede67b2496c9ee900"><td class="memItemLeft" align="right" valign="top"><a id="a3183011c76f0226ede67b2496c9ee900"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setMajor</b> (uint16_t major)</td></tr>
<tr class="separator:a3183011c76f0226ede67b2496c9ee900"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7f497162a5ee827b8574058433a6d77"><td class="memItemLeft" align="right" valign="top"><a id="ab7f497162a5ee827b8574058433a6d77"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setMinor</b> (uint16_t minor)</td></tr>
<tr class="separator:ab7f497162a5ee827b8574058433a6d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afda041d9173befa2605bc6b01779ddc7"><td class="memItemLeft" align="right" valign="top"><a id="afda041d9173befa2605bc6b01779ddc7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setManufacturerId</b> (uint16_t manufacturerId)</td></tr>
<tr class="separator:afda041d9173befa2605bc6b01779ddc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5be6658f331c0cab1b0e5fc72f739054"><td class="memItemLeft" align="right" valign="top"><a id="a5be6658f331c0cab1b0e5fc72f739054"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setProximityUUID</b> (BLEUUID uuid)</td></tr>
<tr class="separator:a5be6658f331c0cab1b0e5fc72f739054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7bc7e8bf97430bcd02fbab5bc47cce"><td class="memItemLeft" align="right" valign="top"><a id="a0c7bc7e8bf97430bcd02fbab5bc47cce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setSignalPower</b> (int8_t signalPower)</td></tr>
<tr class="separator:a0c7bc7e8bf97430bcd02fbab5bc47cce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Representation of a beacon. See: </p>
<ul>
<li><a href="https://en.wikipedia.org/wiki/IBeacon">https://en.wikipedia.org/wiki/IBeacon</a> </li>
</ul>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="BLEBeacon_8h_source.html">BLEBeacon.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
